# cv::DenseFeatureDetector::Params Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions

| Params (float initFeatureScale=1.f, int featureScaleLevels=1, float featureScaleMul=0.1f, int initXyStep=6, int initImgBound=0, bool varyXyStepWithScale=true, bool varyImgBoundWithScale=false)

## Public Attributes

int | featureScaleLevels
float | featureScaleMul
float | initFeatureScale
int | initImgBound
int | initXyStep
bool | varyImgBoundWithScale
bool | varyXyStepWithScale

## Constructor & Destructor Documentation

cv::DenseFeatureDetector::Params::Params | ( | float | initFeatureScale = `1.f`,
|  | int | featureScaleLevels = `1`,
|  | float | featureScaleMul = `0.1f`,
|  | int | initXyStep = `6`,
|  | int | initImgBound = `0`,
|  | bool | varyXyStepWithScale = `true`,
|  | bool | varyImgBoundWithScale = `false`
| ) |  |

## Member Data Documentation

int cv::DenseFeatureDetector::Params::featureScaleLevels

float cv::DenseFeatureDetector::Params::featureScaleMul

float cv::DenseFeatureDetector::Params::initFeatureScale

int cv::DenseFeatureDetector::Params::initImgBound

int cv::DenseFeatureDetector::Params::initXyStep

bool cv::DenseFeatureDetector::Params::varyImgBoundWithScale

bool cv::DenseFeatureDetector::Params::varyXyStepWithScale

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines